Customer meter consumption

List Outstanding Consumption

GET
/orgs/{organizationId}/customers/outstanding-consumption

Lists customers with outstanding consumption. Supports pagination, sorting, and filters (no water/electricity/gas outstanding, last utility invoice min days ago, automatic billing).

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?number
Range1 <= value
limit?number
Range1 <= value <= 1000
sortBy?string
Value in"totalOutstandingAmount""lastUtilityInvoiceDate""customer""autoBillEnabled"
sortDir?string
Value in"asc""desc"
hasWaterOutstanding?boolean|string|number|null
hasElectricityOutstanding?boolean|string|number|null
hasGasOutstanding?boolean|string|number|null
customerType?array<>
lastUtilityInvoiceMinDaysAgo?integer
Range0 <= value <= 9007199254740991
autoBillEnabled?boolean|string|number|null

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/customers/outstanding-consumption'
null